# $Revision: 1.9 $, $Date: 2004/04/07 12:35:53 $
Summary:	GTK+ frontend for dict
Summary(pl):	Nakadka do dict w GTK+
Name:		wordinspect
Version:	0.1a
Release:	2
License:	GPL v2
Group:		Applications/Dictionaries
Source0:	http://www.suspectclass.com/~sgifford/wordinspect/files/%{name}-%{version}.tar.gz
# Source0-md5:	2c7505e5360b36f30afcb04cf9710ecf
Patch0:		%{name}_0.1a-8.diff
Patch1:		%{name}-gcc33_multiline_string.patch
URL:		http://www.tir.com/~sgifford/wordinspect/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
Requires:	dict
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	"-fomit-frame-pointer"

%description
Word Inspector is a graphical front-end to the "dict" program. The
dict program allows you to search through one or more dictionary-like
reference books for a word, then displays its definition. Word
Inspector expands that by allowing you to enter words to look up more
easily, easily look up words that appear in the definition for another
word, and automatically look up a word in the X Window selection.

%description -l pl
Word Inspector jest graficzn nakadk na program "dict". Program dict
pozwala na poszukiwanie sowa w jednym bd wielu sownikach, po czym
wywietla jego definicj. Word Inspector rozszerza te moliwoci,
pozwalajc atwiej wyszukiwa sowa, sprawdza sowa znajdujce si w
definicji innego sowa, czy automatycznie pobiera sowa ze schowka X
Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install wordinspect $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS TODO
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wordinspect.spec,v $
Revision 1.9  2004/04/07 12:35:53  adamg
- added gcc33_multiline_string.patch

Revision 1.8  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.7  2003/05/28 13:02:57  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:28:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/31 17:07:44  gotar
- replaced my patch by Debian one,
- release 2, STBR.

Revision 1.4  2003/01/19 00:06:49  gotar
- removed /usr/X11R6 _prefix define

Revision 1.3  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.2  2002/10/04 13:34:40  kloczek
- cleanups.

Revision 1.1  2002/09/09 12:38:46  gotar
- initial PLD release, STBR.
